Delete credential
curl --request DELETE \
--url https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/{credentialId} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/{credentialId}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/{offerId}/credentials/{credentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Credential deleted successfully"
}{
"message": "Unauthenticated."
}{
"message": "Forbidden."
}Offer Credentials
Delete credential
Available only for offers with credential_system_type_id = 3 (MULTIPLE / credential-mode).
*
credential_system_type_idis the authoritative delivery-mode field. Values: 1 = No Credentials (manual delivery via chat),- 2 = Single (deprecated — coerced to MULTIPLE on write), 3 = Multiple.
DELETE
/
api
/
shop
/
marketplace
/
offers
/
{offerId}
/
credentials
/
{credentialId}
Delete credential
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Response
Success
Example:
"Credential deleted successfully"
⌘I